### Method

# Gtk TreeView get_background_area

#### Declaration [src]

    void
    gtk_tree_view_get_background_area (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      GdkRectangle* rect
    )

#### Description [src]

Fills the bounding rectangle in bin_window coordinates for the cell at the row specified by `path` and the column specified by `column`. If `path` is `NULL`, or points to a node not found in the tree, the `y` and `height` fields of the rectangle will be filled with 0. If `column` is `NULL`, the `x` and `width` fields will be filled with 0. The returned rectangle is equivalent to the `background_area` passed to gtk_cell_renderer_render(). These background areas tile to cover the entire bin window. Contrast with the `cell_area`, returned by gtk_tree_view_get_cell_area(), which returns only the cell itself, excluding surrounding borders and the tree expander area.

#### Parameters

`path` | `GtkTreePath`
| A `GtkTreePath` for the row, or `NULL` to get only horizontal coordinates.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`column` | `GtkTreeViewColumn`
| A `GtkTreeViewColumn` for the column, or `NULL` to get only vertical coordinates.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`rect` | `GdkRectangle*`
| Rectangle to fill with cell background rect.
| The argument will be set by the function.
| The data is owned by the caller of the function.